GDIUMIIC(4)

NAME
gdiumiic - Gdium specific GPIO I2C controller

SYNOPSIS
gdiumiic0 at gpio0 offset 6 mask 0x81
gdiumiic0 at gpio0 offset 46 mask 0x03
iic0 at gdiumiic0

DESCRIPTION
The gdiumiic driver allows bit-banging an I2C bus as a master using two GPIO pins. The first pin is used as a serial clock (SCL) signal and the second as a serial data (SDA). Both GPIO pins must be able to drive an output and the SDA pin must be also able to read an input.

The gdiumiic driver is derived from the gpioiic driver, using a different pin ordering, and knowledge of the Gdium I2C bus configuration.

SEE ALSO
gpio(4), gpioiic(4), iic(4), intro(4)

AUTHORS
-nosplit The original gpioiic driver was written by Alexander Yurchenko <grange@openbsd.org>.